MyGUI: MyGUI::ResourceSkin Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceSkin Class Reference

`#include <MyGUI_ResourceSkin.h>`

Inheritance diagram for MyGUI::ResourceSkin:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceSkin | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| ~ResourceSkin () override
void | deserialization (xml::ElementPtr _node, Version _version) override
const IntSize & | getSize () const
const std::string & | getTextureName () const
const VectorSubWidgetInfo & | getBasisInfo () const
const MapWidgetStateInfo & | getStateInfo () const
const MapString & | getProperties () const
const VectorChildSkinInfo & | getChild () const
const std::string & | getSkinName () const
Public Member Functions inherited from MyGUI::IResource
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 21 of file MyGUI_ResourceSkin.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceSkin::Base

Definition at line 23 of file MyGUI_ResourceSkin.h.

## ◆ RTTIBase

typedef ResourceSkin MyGUI::ResourceSkin::RTTIBase

Definition at line 23 of file MyGUI_ResourceSkin.h.

## Constructor & Destructor Documentation

## ◆ ~ResourceSkin()

MyGUI::ResourceSkin::~ResourceSkin | ( |  | ) |
| override

Definition at line 16 of file MyGUI_ResourceSkin.cpp.

## Member Function Documentation

## ◆ deserialization()

void MyGUI::ResourceSkin::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )
| overridevirtual

Reimplemented from MyGUI::IResource.

Definition at line 22 of file MyGUI_ResourceSkin.cpp.

## ◆ getBasisInfo()

const VectorSubWidgetInfo & MyGUI::ResourceSkin::getBasisInfo | ( |  | ) | const

Definition at line 269 of file MyGUI_ResourceSkin.cpp.

## ◆ getChild()

const VectorChildSkinInfo & MyGUI::ResourceSkin::getChild | ( |  | ) | const

Definition at line 284 of file MyGUI_ResourceSkin.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::ResourceSkin::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 23 of file MyGUI_ResourceSkin.h.

## ◆ getProperties()

const MapString & MyGUI::ResourceSkin::getProperties | ( |  | ) | const

Definition at line 279 of file MyGUI_ResourceSkin.cpp.

## ◆ getSize()

const IntSize & MyGUI::ResourceSkin::getSize | ( |  | ) | const

Definition at line 259 of file MyGUI_ResourceSkin.cpp.

## ◆ getSkinName()

const std::string & MyGUI::ResourceSkin::getSkinName | ( |  | ) | const

Definition at line 289 of file MyGUI_ResourceSkin.cpp.

## ◆ getStateInfo()

const MapWidgetStateInfo & MyGUI::ResourceSkin::getStateInfo | ( |  | ) | const

Definition at line 274 of file MyGUI_ResourceSkin.cpp.

## ◆ getTextureName()

const std::string & MyGUI::ResourceSkin::getTextureName | ( |  | ) | const

Definition at line 264 of file MyGUI_ResourceSkin.cpp.

## ◆ getTypeName()

virtual std::string_view MyGUI::ResourceSkin::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IResource.

Definition at line 23 of file MyGUI_ResourceSkin.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::ResourceSkin::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 23 of file MyGUI_ResourceSkin.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceSkin::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Definition at line 23 of file MyGUI_ResourceSkin.h.

The documentation for this class was generated from the following files:

- MyGUI_ResourceSkin.h
- MyGUI_ResourceSkin.cpp